%bcond_without minizip

Name:    zlib
Version: 1.2.13
Release: 1%{?dist}
Summary: Compression and decompression library
# /contrib/dotzlib/ have Boost license
License: zlib and Boost
URL: https://www.zlib.net/

Source: https://www.zlib.net/zlib-%{version}.tar.xz

BuildRequires: make
BuildRequires: automake, autoconf, libtool

%global __provides_exclude_from ^%{_libdir}/pkgconfig/minizip\\.pc$

%description
Zlib is a general-purpose, patent-free, lossless data compression
library which is used by many different programs.


%package devel
Summary: Header files and libraries for Zlib development
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.


%package static
Summary: Static libraries for Zlib development
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description static
The zlib-static package includes static libraries needed
to develop programs that use the zlib compression and
decompression library.


%if %{with minizip}
%package -n minizip-compat
Summary: Library for manipulation with .zip archives
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n minizip-compat
Minizip is a library for manipulation with files from .zip archives.


%package -n minizip-compat-devel
Summary: Development files for the minizip library
Requires: minizip-compat%{?_isa} = %{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}
Conflicts: minizip-devel

%description -n minizip-compat-devel
This package contains the libraries and header files needed for
developing applications which use minizip.
%endif


%prep
%setup -q

iconv -f iso-8859-2 -t utf-8 < ChangeLog > ChangeLog.tmp
mv ChangeLog.tmp ChangeLog


%build
export CFLAGS="$RPM_OPT_FLAGS"

export LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now"
# no-autotools, %%configure is not compatible
%ifarch s390 s390x
  ./configure --libdir=%{_libdir} --includedir=%{_includedir} --prefix=%{_prefix} --dfltcc
%else
  ./configure --libdir=%{_libdir} --includedir=%{_includedir} --prefix=%{_prefix}
%endif
%make_build

%if %{with minizip}
cd contrib/minizip
autoreconf --install
%configure --enable-static=no
%make_build
%endif


%check
make test


%install
%make_install

%if %{with minizip}
%make_install -C contrib/minizip
# https://github.com/madler/zlib/pull/229
rm $RPM_BUILD_ROOT%_includedir/minizip/crypt.h
%endif

find $RPM_BUILD_ROOT -name '*.la' -delete


%files
%license README
%doc ChangeLog FAQ
%{_libdir}/libz.so.*


%files devel
%doc doc/algorithm.txt test/example.c
%{_libdir}/libz.so
%{_libdir}/pkgconfig/zlib.pc
%{_includedir}/zlib.h
%{_includedir}/zconf.h
%{_mandir}/man3/zlib.3*


%files static
%license README
%{_libdir}/libz.a


%if %{with minizip}
%files -n minizip-compat
%doc contrib/minizip/MiniZip64_info.txt contrib/minizip/MiniZip64_Changes.txt
%{_libdir}/libminizip.so.*


%files -n minizip-compat-devel
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%endif


%changelog
* Tue Jan 10 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-zlib.git

* Tue Jan 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6e2a4ac
- version 1.2.13-1

* Tue Jan 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 863d160
- ci: drop R4.2

* Tue Jan 10 2023 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - 7f50ba8
- update to v1.2.13

* Tue Oct 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50faca6
- Add qubes-builder integration and CI

* Tue Oct 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 635e0f0
- Import zlib-1.2.12-5.src

